%
%returns the location of parameters for (x_k,x_j) interaction
%in the extended index set
% x_1,,x_p,x_1^2,x_1x_2,,x_1x_p,x_2^2,x_2x_3,,x_2x_p,,
%      x_{p-1}^2,x_{p-%1,p}, x_p^2
%
%if k=0, then (0,j) represents the main effects of x_j
%if 1<=k<=p, then j in [k,p]
%
%
function [id]=findid(k,j,p);
    k0 = min(k,j);
    j0 = max(k,j);
    id = k0*p+j0-k0*(k0-1)/2;                                                 
