%
%
%returns the index location for the interactions of
%(x_k, x_j) when both k and j belong to subid
%For example: if p = 4, subid = (1,4)
%the derived effects (1,1),(1,2),(1,3),(1,4),(2,4),(3,4),(4,4) 
%returned values 5,6,7,8,11,13,14%
%
%function myid=genIds(subid,p);
%  myid = [];
%  for kk =1:p
%      if ismember(kk,subid)>0
%          for jj=kk:p
%             if ismember(jj,subid)>0
%                %[kk jj]
%                myid = [myid findid(kk,jj,p)];
%             end
%          end
%      end
%  end
  
 function myid=genIds(subid,p)
  ll = length(subid);
  myid = zeros(1,ll*(ll+1)/2);
  t  = 0;
  newsubid = sort(subid);
  for kk =1:ll       
        for jj=kk:ll
             t = t+1;
             myid(t) = findid(newsubid(kk),newsubid(jj),p);
        end
  end
       
 end 
  
  %for mm =1:length(subid)
  %    kk = subid(mm);
  %    for jj=kk:p
  %        if ismember(jj,subid)>0
  %            %[kk jj]
  %            myid = [myid findid(kk,jj,p)];
  %            print(findid(kk,jj))
  %        end
  %    end
  %end
  
