%
%
%returns the index location for the main effects and interactions 
% for (x_k, x_j) when either k or j belongs to subid
%For example: if p = 4, subid = (1,4)
%then return (1,1),(1,2),(1,3),(1,4),(2,4),(3,4),(4,4) 
%corresponds to 5,6,7,8,11,13,14
%For example: if p = 4, subid = (1,3)
%then return (1,1),(1,2),(1,3),(1,4),(2,3),(3,3),(3,4) 
%corresponds to 5,6,7,8,10,12,13
%
%
%function myid=genIdw(subid,p);
%  myid = [];
%  for kk =1:p
%      for jj=kk:p
%          if ismember(kk,subid)>0 | ismember(jj,subid)>0
%                %[kk jj]
%                myid = [myid findid(kk,jj,p)];
%          end
%      end
%  end
  
 function myid=genIdw(subid,p)
  ll = length(subid);
  myid = zeros(1,ll*p);
  t  = 0;
  newsubid = sort(subid);
  for kk =1:ll       
        for jj=1:p
             t = t+1;
             myid(t) = findid(newsubid(kk),jj,p);
        end
  end
  myid = sort(unique(myid));
 end 
  