%function myXX=genXXw(subid,x0);
%    [n,dim] = size(x0);
%     myXX = [];
%     for kk=1:dim
%        for jj = kk:dim
%             if ismember(kk,subid)>0 | ismember(jj,subid)>0
%                myXX = [myXX x0(:,jj).*x0(:,kk)];
%             end
%        end
%     end      

%
%input: selected main and interaction index (long version, sorted)
%output: generate the corresponding design matrix
%
%     
function [myXX, meanSelX, varSelX]=genSelXX(x0,subid)
    [n,dim] = size(x0);
    myXX = [];
    meanSelX = zeros(length(subid),1);
    varSelX = ones(length(subid),1);
    for k=1:length(subid)
        if subid(k) <= dim
            %myXX = [myXX x0(:,k)];
            myXX = [myXX x0(:,subid(k))];
        else
            [ik, ij] = findpair(subid(k),dim); 
            xjk= x0(:,ij).*x0(:,ik);
            meanSelX(k)=mean(xjk);
            varSelX(k)=var(xjk);
            xjk= (xjk-mean(xjk))./sqrt(var(xjk));
            myXX = [myXX xjk];
        end
    end
